import * as EnrichedLeague from "./types/league.js";
import { Match, MatchResult } from "./types/match-result.js";
import { Id } from "./types/id.js";
import { DayPredictions } from "./types/prediction.js";
import { User } from "./types/user.js";
export declare function getLeagueById(leagueId: Id): Promise<EnrichedLeague.League>;
export declare function getCurrentDayMatches(tournamentId: Id): Promise<Match[]>;
export declare function getResultsFromDay(tournamentId: Id, day: number): Promise<MatchResult[]>;
export declare function submitDayPredictions(dayPreds: DayPredictions): Promise<void>;
export declare function authPredictionUser(token: string): Promise<User>;
export declare function getDayPredictions(userId: string, leagueId: Id): Promise<DayPredictions>;
